Qt 5.6 | Qt QML | QML Types | QAbstractState QML Type

Qt 5.6.3 Reference Documentation

# QAbstractState QML Type

The QAbstractState type is the base type of States of a StateMachine. More...

Import Statement: | import QtQml.StateMachine 1.0
Since: | Qt 5.4
Inherited By: | FinalState, HistoryState, and State

- List of all members, including inherited members

## Properties

- active : bool

## Signals

- entered()
- exited()

## Detailed Description

Do not use QAbstractState directly; use State, FinalState or StateMachine instead.

See also StateMachine and State.

## Property Documentation

[read-only] active : bool

The active property of this state. A state is active between entered() and exited() signals. This property is readonly.

See also entered and exited.

## Signal Documentation

entered()

This signal is emitted when the State becomes active.

The corresponding handler is `onEntered`.

See also active and exited.

exited()

This signal is emitted when the State becomes inactive.

The corresponding handler is `onExited`.

See also active and entered.